/*
 * Copyright © 2021-2023 Fachhochschule für die Wirtschaft (FHDW) Hannover
 *
 * This file is part of ipspiel24-VierConnects-core.
 *
 * ipspiel24-VierConnects-core is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * ipspiel24-VierConnects-core is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * ipspiel24-VierConnects-core. If not, see <http://www.gnu.org/licenses/>.
 */
package de.fhdw.gaming.ipspiel24.VierConnects.core.domain;

/**
 * Represents the type of a row on a {@link VierConnectsBoard board}.
 */
public enum VierConnectsRowType {

    /**
     * Horizontal row.
     */
    ROW {
        @Override
        public String toString() {
            return "R";
        }
    },

    /**
     * Vertical row (= column).
     */
    COLUMN {
        @Override
        public String toString() {
            return "C";
        }
    },

    /**
     * Diagonal row northwest -> southeast.
     */
    DIAGONAL {
        @Override
        public String toString() {
            return "D";
        }
    },
    
    /**
     * Diagonal row northeast -> southwest.
     */
    DIAGONALALT {
        @Override
        public String toString() {
            return "A";
        }
    };

    @Override
    public abstract String toString();
}
